﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TeaChaDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }

        String[] heatNumber;

        private void InitializeChart()
        {

            this.m_chart.Aspect.View3D = false;
            m_chart.Walls.Visible = false;
            m_chart.Legend.Visible = false;
            // this.m_chart.Header.Text = "Available number of heats";

            // this.m_chart.Axes.Bottom.Labels.Style = Steema.TeeChart.AxisLabelStyle.Value;

            m_chart.Axes.Left.MinimumOffset = 10;
            m_chart.Axes.Left.MaximumOffset = 10;

            m_chart.Axes.Left.AxisPen.Visible = false;
            m_chart.Axes.Left.Grid.Visible = false;
            this.m_chart.Axes.Left.Ticks.Visible = false;

            m_chart.Axes.Bottom.MinorTicks.Visible = false;
            m_chart.Axes.Left.MinorTicks.Visible = false;
            m_chart.Axes.Bottom.Grid.Visible = false;

            String[] names = { "Schumacher", "Dolomite", "Gigi", "Dukel", "Proseco", "Giovanni", "Domani", "Horsetail", "Vacation"};
            DateTime[] start = new DateTime[2];
            DateTime[] end = new DateTime[2];

            start[0] = new DateTime(2005, 4, 14, 0, 0, 0);
            end[0] = new DateTime(2009, 4, 14, 0, 0, 0);

            start[1] = new DateTime(2005, 4, 14, 0, 0, 0);
            end[1] = new DateTime(2009, 4, 14, 0, 0, 0);

            heatNumber = new String[2];
            heatNumber[0] = "45 387";
            heatNumber[1] = "568";

            Steema.TeeChart.Styles.Gantt ganttSeries1 = new Steema.TeeChart.Styles.Gantt(m_chart.Chart);

            ganttSeries1.Marks.Transparent = true;
            ganttSeries1.Marks.Visible = true;
            ganttSeries1.Marks.ArrowLength = -25;

            ganttSeries1.Pointer.VertSize = 10;
            ganttSeries1.Pointer.Pen.Visible = false;

            int startX = 10;
            for (int i = 0; i < names.Length; i++)
            {
                // ganttSeries1.Add(start[i], end[i], i, names[i].ToString());
                ganttSeries1.Add(startX, startX + 150, 3, names[i].ToString());
                startX += 172;
            }

            this.m_chart.Axes.Bottom.Increment = Steema.TeeChart.Utils.GetDateTimeStep(Steema.TeeChart.DateTimeSteps.OneYear);
            this.m_chart.Axes.Bottom.Labels.DateTimeFormat = "yyyy";

            int minYear = DateTime.FromOADate(ganttSeries1.StartValues.Minimum).Year;
            int maxYear = DateTime.FromOADate(ganttSeries1.EndValues.Maximum).Year;
            DateTime startDate = DateTime.Parse("01/01/" + minYear.ToString());
            DateTime endDate = DateTime.Parse("01/01/" + (maxYear + 1).ToString());

            m_chart.Axes.Bottom.SetMinMax(startDate, endDate);
        }
    }
}
